<?php

/**
 * The template Situations.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates
 */

?>
<div id="situations-section" class="alexandria-section">

	<div class="alexandria-section-title-wrapper">

		<div class="alexandria-section-title">
			<h2><?php esc_html_e('Situación', 'alexandria-mail-builder') ?>:</h2>
		</div>

		<div class="alexandria-section-subtitle">
			<h3><?php esc_html_e('Selecciona la situación a la que tienes que hacer frente.', 'alexandria-mail-builder') ?></h3>
		</div>

	</div>

	<div class="alexandria-builder-block">

		<div class="alexandria-builder-situations-wrapper">

			<?php if( $args['situations_categories'] ) : 

				foreach ( $args['situations_categories'] as $key => $item ) { ?>

					<div class="situation-accordion">

						<div class="situation-category-item" data-situation_category_id="<?php echo $item['category']->term_id ?>">

							<div class="situation-category-text">
								<span><?php echo $item['category']->name ?></span>
							</div>

							<div class="alexandria-toggle">
								<span class="alexandria-toggle-icon"></span>
							</div>
						</div>

						<div class="situation-panel">
							<?php foreach ( $item['situations'] as $situation ) { ?>

								<div class="situation-item" data-situation_id="<?php echo $situation->ID ?>">
									<span><?php echo $situation->post_title ?></span>
								</div>

							<?php } ?>

						</div>

					</div>

				<?php } 

				else : ?>

					<div class="situation-item">
						<span>
							<?php esc_html_e('No hay Situaciones', 'alexandria-mail-builder'); ?>
						</span>
					</div>

				<?php endif; ?>

			</div>

		</div>	

	</div>